Ubuntu

acer-wmi prevents wifi (bcmwl/brcm80211) from working

Reported by Mauricio Pretto on 2011-04-27
96
This bug affects 20 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Seth Forshee
Natty
Medium
Seth Forshee
Oneiric
Medium
Seth Forshee

Bug Description

SRU Justification

Impact: The wlan on the Acer Aspire 1830 always has a soft block applied due to incorrect values read from the BIOS on periodic updates.

Fix: Backport patch that makes this model use WMI events to update rfkill states instead of periodic polling. Data in WMI events accurately reflects the status of the blocks. The backport results in a wlan soft block when pressing the touchpad hotkey, so also include a fix to only update rfkill states when wireless hotkeys are pressed as well as a trivial patch to support the wlan hotkey on this model.

Test case: Verify that wlan soft block can be removed, wlan hotkey functions, and touchpad hotkey does not affect wlan on the affected model. Tested on LP #771758.

---

On my Acer Aspire 1830-3595 I have the following situation:
after installing natty wifi won't work, the wifi is soft block when checking with rfkill
the solution was blacklisting acer-wmi module

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-8-generic 2.6.38-8.42
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: wl
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC271X Analog [ALC271X Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mauricio 1553 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd4400000 irq 42'
   Mixer name : 'Intel IbexPeak HDMI'
   Components : 'HDA:10ec0269,1025040e,00100100 HDA:80862804,104d4b00,00100000'
   Controls : 22
   Simple ctrls : 11
Date: Wed Apr 27 08:21:58 2011
HibernationDevice: RESUME=UUID=132e31a0-895b-4b6f-bbcf-a9f007b3e307
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110413)
MachineType: Acer Aspire 1830
ProcEnviron:
 LANGUAGE=en
 LANG=pt_BR.UTF-8
 LC_MESSAGES=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=5eb29e8f-5f68-4ff4-9eaf-2b10a1fc9738 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-8-generic N/A
 linux-backports-modules-2.6.38-8-generic N/A
 linux-firmware 1.52
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
StagingDrivers: brcm80211
UpgradeStatus: Upgraded to natty on 2011-04-21 (5 days ago)
dmi.bios.date: 07/09/2010
dmi.bios.vendor: INSYDE
dmi.bios.version: V1.14
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Base Board Product Name
dmi.board.vendor: Intel Corp.
dmi.board.version: Base Board Version
dmi.chassis.type: 1
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnINSYDE:bvrV1.14:bd07/09/2010:svnAcer:pnAspire1830:pvrV1.14:rvnIntelCorp.:rnBaseBoardProductName:rvrBaseBoardVersion:cvnChassisManufacturer:ct1:cvrChassisVersion:
dmi.product.name: Aspire 1830
dmi.product.version: V1.14
dmi.sys.vendor: Acer

Mauricio Pretto (pretto) wrote :
summary: - Wifi wont work out of the box
+ acer-wmi prevents wifi (bcmwl/brcm80211) from working
Daniel van Vugt (vanvugt) wrote :

It appears to be a very common issue that acer-wmi blocks wifi (Broadcom and Atheros at least). Should this be merged with similar reports such as bug #668234?

HhyperR (hhyperr) wrote :

Blacklisting acer_wmi also breaks the bluetooth.

Brad Figg (brad-figg) on 2011-05-03
Changed in linux (Ubuntu):
status: New → Confirmed
HhyperR (hhyperr) wrote :

Suddenly 2.6.38-9 and acer_wmi in blacklist fixes problems with wifi, bluetooth and fn-key!

nordicnurse (nordicnurse) wrote :

Same problem. Wireless appears soft-blocked, 'rfkill unblock all' actually unblocks the wireless but event is generated which turns the soft-block back on. Blacklisting acer-wmi solved the problem. On a Lenovo ideapad U550 with Intel Corporation PRO/Wireless 5100 AGN [Shiloh].

I am using HP 520 and facing the same problem. I tried setting the itnerface manually up by sudo ifconfig wlan0 up. This turned wifi ON and the wifi switch turned blue as it usually does! but still network manager was showing "wifi disabled by hardware switch". I tried wifi radar (available in package manager) and I was able to see available wifi networks in range. I selected one and got connected. It shows that wifi drivers are installed and working properly but the wifi switch is not turing wifi up! I tried to turn wifi off by pressing the switch and it turned off!
so there is some bug within the network-manager application and the wifi hardware switch!

I also checked from "rfkill list" when I press the wifi switch once, it shows me

0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes
1: hp-wifi: Wireless LAN
 Soft blocked: no
 Hard blocked: yes
When I press the switch again, it show following:

0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes
1: hp-wifi: Wireless LAN
 Soft blocked: no
 Hard blocked: no

Please let me know if any more information is required on it!

nordicnurse (nordicnurse) wrote :

Lenovo Ideapad U550: wireless was softblocked by acer_wmi. sudo rmmod acer_wmi and adding it to /etc/modprobe.d/blacklist.conf fixed the issue. However, after working for a week (was there a kernel update in proposed?) wireless died again, now with hardblocked state.
Following steps fixed this:
1) removing acer_wmi form /etc/modprobe.d/blacklist.conf
2) rebooting
3) rfkill unblock all
4) sudo rmmod acer_wmi

Ross Patterson (rossp) wrote :

I have tried pretty much all combinations of the brcm80211, wl, and acer_wmi modules on my Lenovo IdeaPad U160 and here's what I've found. The brcm80211 module/driver doesn't work under any conditions.

If I boot normally, with the acer_wmi and wl modules loaded automatically, then wifi doesn't work because of rfkill but I can't unblock them until I "sudo modprobe -r acer_wmi". Then wifi works fine. If I blacklist acer_wmi, wifi doesn't work again because of rfkill, but this time I can't unblock it until I "sudo modprobe acer_wmi" and then remove it again with "sudo modprobe -r acer_wmi".

So it seems like the acer_wmi module is doing some sort of necessary initialization without which the wl module and rfkill can't work. Hope that helps track down the real bug.

In the meantime, what's "the right way" to do this dance of loading and unloading acer_wmi automatically at startup?

Ross Patterson (rossp) wrote :

Answering my own question, I fixed the problem on my U160 by abusing /etc/modprobe.d/broadcom-sta-common.conf. I replaced:

    install wl /sbin/modprobe --ignore-install wl $CMDLINE_OPTS

with:

    softdep wl pre: acer_wmi
    install wl /sbin/modprobe --ignore-install wl $CMDLINE_OPTS && rflist unblock all
    install acer_wmi /sbin/modprobe --ignore-install acer_wmi $CMDLINE_OPTS && /sbin/modprobe -r acer_wmi

Seth Forshee (sforshee) wrote :

There's an acer_wmi bug fix in the kernel currently in natty-proposed that fixes some problems with rfkill state. It should get released soon, but if anyone wants to test it you can follow the instructions here to enable proposed updates.

  https://wiki.ubuntu.com/Testing/EnableProposed

I'd suggest that you enable the proposed repository and select only the linux-image and linux-headers packages to be updated, then disable proposed updates after updating those packages.

Mauricio Pretto (pretto) wrote :

Linux Boston 2.6.38-9-generic #43-Ubuntu SMP Thu Apr 28 15:23:06 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
is this the proposed kernel version?
i still have the same problem with this version
if I load the acer-wmi my wifi is gone

Seth Forshee (sforshee) wrote :

Mauricio: yes, that is the proposed kernel. Can you provide the output from 'rfkill list' after loading acer-wmi? Thanks.

Mauricio Pretto (pretto) wrote :

root@Boston:~# uname -a
Linux Boston 2.6.38-9-generic #43-Ubuntu SMP Thu Apr 28 15:23:06 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
root@Boston:~# modprobe acer-wmi
root@Boston:~# rfkill list all
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
3: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
4: acer-threeg: Wireless WAN
 Soft blocked: no
 Hard blocked: no
root@Boston:~# rfkill unblock all
root@Boston:~# rfkill list all
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
3: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
4: acer-threeg: Wireless WAN
 Soft blocked: no
 Hard blocked: no
root@Boston:~# rmmod acer-wmi
root@Boston:~# rfkill list
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
root@Boston:~#

Seth Forshee (sforshee) wrote :

Mauricio, yours really does appear to be a different issue. Do you have a hotkey for wifi on your machine? Does it have any effect on the rfkill state?

I built a test kernel with some additional logging. Please install this kernel, reboot, and run 'rfkill unblock all' several times (space them out by at least 30 seconds, not one right after another). Then collect the output of dmesg and attach it here. The kernel is available at:

http://people.canonical.com/~sforshee/lp771758/linux-2.6.38-9.43~lp771758v201106021723/

Please also run the command 'sudo fwts --disassemble-aml' (you will probably need to install the fwts package) and attach the *.dsl files it generates here as well.

Thanks!

Changed in linux (Ubuntu):
assignee: nobody → Seth Forshee (sforshee)
status: Confirmed → Incomplete
importance: Undecided → Medium
Mauricio Pretto (pretto) wrote :

I have a hotkey, when pressing the key nothing happens.
Will do those tests with this new kernel and provide feedback soon.

Mauricio Pretto (pretto) wrote :

so .......

root@Boston:~# uname -a
Linux Boston 2.6.38-9-generic #43~lp771758v201106021723 SMP Thu Jun 2 16:39:28 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
root@Boston:~#
-----
dmesg output attached after a few minutes with
root@Boston:~# watch -n 30 rfkill unblock all
------

will attached the dsl files also

Mauricio Pretto (pretto) wrote :
Mauricio Pretto (pretto) wrote :
Mauricio Pretto (pretto) wrote :
Mauricio Pretto (pretto) wrote :

done, if you need something else let me know

Mauricio Pretto (pretto) wrote :

wifi hotkey output

----

[ 995.927757] atkbd serio0: Unknown key pressed (translated set 2, code 0x93 on isa0060/serio0).
[ 995.927768] atkbd serio0: Use 'setkeycodes e013 <keycode>' to make it known.
[ 996.240300] atkbd serio0: Unknown key released (translated set 2, code 0x93 on isa0060/serio0).
[ 996.240310] atkbd serio0: Use 'setkeycodes e013 <keycode>' to make it known.

-----

Seth Forshee (sforshee) wrote :

Thanks Mauricio.

Something is apparently going wrong in the interaction with the bios. acer-wmi calls into the bios to set the rfkill state, but it's always reading back that wifi is disabled. acer-wmi also has a periodic event to read back the state from the bios and set its own rfkill state based on that (I'm not sure why, but I'm guessing there must be some hardware for which this is necessary to determine if wifi has been disabled by either a hotkey or switch). So what happens is that your wifi is unblocked briefly (less than one second) until the next time acer-wmi updates its soft-block state from the bios, which matches the behavior described in comment #5. I'm not sure if it's the setting or the reading of the wifi state, or both, that's going wrong. I need to do some more investigation.

Out of curiosity, what happens if you run 'rfkill block 3' (assuming that 3 is always the index assigned to acer-wireless in 'rfkill list', which is probably worth checking first)?

Your wifi hotkey issue should be an easy fix, but it won't matter until the soft-block problem gets fixed.

Changed in linux (Ubuntu):
status: Incomplete → In Progress
Mauricio Pretto (pretto) wrote :

when I have the acer_wmi not loaded this is how the rfkill looks like :

root@Boston:~# rfkill list
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
root@Boston:~#

my 3g modem is gone :S

------ acer_wmi not loaded -----
root@Boston:~# rfkill block 1
root@Boston:~# rfkill list
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
root@Boston:~# rfkill block 0
root@Boston:~# rfkill list
0: phy0: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
root@Boston:~# rfkill unblock 0
root@Boston:~# rfkill list
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
root@Boston:~#
-----------------------

On Fri, Jun 03, 2011 at 04:28:16PM -0000, Mauricio Pretto wrote:
> when I have the acer_wmi not loaded this is how the rfkill looks like :

I meant for you to do this with the acer-wmi module loaded. That's the
module I'm trying to debug after all ;)

Mauricio Pretto (pretto) wrote :

rfkill does nothing when running rfkill block 3
also tried block and unblock 4 (3g) nothing happens

-----dmesg----

[ 4908.528718] SAF: acer_rfkill_set() cap = 2 blocked = 1
[ 4918.787917] SAF: acer_rfkill_set() cap = 2 blocked = 1
[ 4944.251165] SAF: acer_rfkill_set() cap = 2 blocked = 0
[ 4944.259092] SAF: rfkill verification failed: state = 0
[ 4944.259148] SAF: acer_rfkill_set() cap = 16 blocked = 0
[ 4944.260490] SAF: rfkill verification failed: state = 0
[ 4944.274534] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 4955.518994] SAF: acer_rfkill_set() cap = 2 blocked = 1
[ 4970.293660] SAF: acer_rfkill_set() cap = 2 blocked = 0
[ 4970.300760] SAF: rfkill verification failed: state = 0
[ 4970.317987] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 4987.105942] SAF: acer_rfkill_set() cap = 16 blocked = 1
[ 5003.846080] acer-wmi: Acer Laptop WMI Extras unloaded
[ 5003.862170] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 5004.155499] ADDRCONF(NETDEV_UP): wlan0: link is not ready
-----

Seth Forshee (sforshee) wrote :

Mauricio, one other thing I'd like you to test. Please try using the rfkill command to block the acer-threeg device and then check to see if the soft-block state changes appropriately. Follow this with an unblock and check the state again. Also, after doing the test of enabling the soft-block on the acer-wireless device, please capture dmesg and attach it along with the 'rfkill list' output. Please also use the test kernel I provided earlier when doing this test.

My suspicion after looking at the DSDT is that the flag that gets read back for the wifi status isn't getting updated when the wifi status is changed, but it's impossible to tell without some trial-and-error testing. If this is the case we may need to add some kind of quirk to the driver to indicate that the wifi status reported by the bios is unreliable.

Mauricio Pretto (pretto) wrote :

that's what I did on the previous post
I'm using your kernel from now on ..

Seth Forshee (sforshee) wrote :

Heh, I guess you posted your information while I was typing my request :) I didn't see your post until after I posted mine.

It looks like the 3g state may actually be getting set correctly. Just to verify, please run the following:

  rfkill block 4
  rfkill list
  rfkill unblock 4
  rfkill list

Wait a few seconds between the block/unblock commands and the list commands. I suspect you'll see that the 3g soft-block appropriately tracks the rfkill commands.

I'll also have a new kernel shortly to let us test a couple of existing quirks related to reading the wifi state, so we can see if either of those apply to your machine.

Seth Forshee (sforshee) wrote :

@Mauricio, the test kernel I mentioned didn't pan out because the quirks I was looking at wouldn't apply to your machine. I did find an upstream patch however that would change the way acer-wmi interacts with the bios for your machine, and I think it's worth a try to see whether or not this helps with your problem. A test build is available at:

http://people.canonical.com/~sforshee/lp771758/linux-2.6.38-10.44~lp771758v201106061621/

Please let me know whether or not this help with your problem. Thanks!

Changed in linux (Ubuntu):
status: In Progress → Incomplete
Mauricio Pretto (pretto) wrote :

-----rfkill comands-
root@Boston:~# modprobe acer_wmi
root@Boston:~# rfkill list
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
2: acer-threeg: Wireless WAN
 Soft blocked: no
 Hard blocked: no
root@Boston:~# rfkill unblock 1
root@Boston:~# rfkill block 2
root@Boston:~# rfkill list
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
2: acer-threeg: Wireless WAN
 Soft blocked: no
 Hard blocked: no
root@Boston:~# rfkill unblock all
root@Boston:~# rfkill list
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
2: acer-threeg: Wireless WAN
 Soft blocked: no
 Hard blocked: no
root@Boston:~# rfkill block all
root@Boston:~# rfkill list
0: phy0: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
1: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
2: acer-threeg: Wireless WAN
 Soft blocked: no
 Hard blocked: no
root@Boston:~# rfkill unblock all
root@Boston:~# rfkill list
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: acer-wireless: Wireless LAN
 Soft blocked: yes
 Hard blocked: no
2: acer-threeg: Wireless WAN
 Soft blocked: no
 Hard blocked: no
root@Boston:~# rmmod acer_wmi
-------

---dmesg-
[ 203.454672] Get Current Device Status failed: 0xe2 - 0x0
[ 203.486229] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 211.491070] Get Current Device Status failed: 0xe2 - 0x0
[ 232.981794] Get Current Device Status failed: 0xe2 - 0x0
[ 232.999050] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 233.006730] Get Current Device Status failed: 0xe2 - 0x0
[ 250.508061] Get Current Device Status failed: 0xe2 - 0x0
[ 250.531503] Get Current Device Status failed: 0xe2 - 0x0
[ 265.650554] Get Current Device Status failed: 0xe2 - 0x0
[ 265.670674] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 265.676817] Get Current Device Status failed: 0xe2 - 0x0
[ 265.861870] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 275.918380] acer-wmi: Acer Laptop WMI Extras unloaded
[ 275.963053] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 277.838399] wlan0: authenticate with 00:0e:e8:d7:05:83 (try 1)
[ 277.840155] wlan0: authenticated
[ 277.840235] wlan0: associate with 00:0e:e8:d7:05:83 (try 1)
[ 277.842781] wlan0: RX AssocResp from 00:0e:e8:d7:05:83 (capab=0x401 status=0 aid=2)
[ 277.842795] wlan0: associated
[ 277.844124] Associated: True
[ 277.846319] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
------

Mauricio Pretto (pretto) wrote :

something different , after last updates from proposed which included a problem to install the new version of bcmwl-kernel-source, so I'm not running with this module no more.
you now can see the three devices after loading acer_wmi which before was I was only able to see the wireless lan after loading

Seth Forshee (sforshee) wrote :

@Mauricio: Please clarify whether or not your most recent results were collected with the kernel from comment #29.

Mauricio Pretto (pretto) wrote :

sorry
collected with

mauricio@Boston:~$ uname -a
Linux Boston 2.6.38-10-generic #44~lp771758v201106061621 SMP Mon Jun 6 15:42:22 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
mauricio@Boston:~$

Seth Forshee (sforshee) wrote :

Out of curiosity, does your machine have 3G?

I'm going to drop that patch (for now) since it didn't help. I've built a new kernel for you to test that should disable the polling that's causing the rfkill state to be reset, and it might even get your wifi hotkey working. You can get it here:

http://people.canonical.com/~sforshee/lp771758/linux-2.6.38-10.44~lp771758v201106072112/

Changed in linux (Ubuntu):
status: Incomplete → In Progress
status: In Progress → Incomplete
Mauricio Pretto (pretto) wrote :

I have 3g but it's not working, I have ticket opened about that also
will download the kernel and test it

Mauricio Pretto (pretto) wrote :

very nice Seth, it's working
----
root@Boston:~# uname -a
Linux Boston 2.6.38-10-generic #44~lp771758v201106072112 SMP Tue Jun 7 20:32:17 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
root@Boston:~# lsmod | grep acer
acer_wmi 23809 0
sparse_keymap 13898 1 acer_wmi
root@Boston:~# rfkill list
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: acer-wireless: Wireless LAN
 Soft blocked: no
 Hard blocked: no
2: acer-threeg: Wireless WAN
 Soft blocked: no
 Hard blocked: no
root@Boston:~#
------

Mauricio Pretto (pretto) wrote :

hotkey not working yet .

[ 239.140249] ACPI: EC: GPE storm detected, transactions will use polling mode
[ 291.329234] wl0: wlc_d11hdrs_mac80211: AC_BE txop exceeded phylen 1466/1065 dur 2046/1504
[ 306.366840] atkbd serio0: Unknown key pressed (translated set 2, code 0x93 on isa0060/serio0).
[ 306.366855] atkbd serio0: Use 'setkeycodes e013 <keycode>' to make it known.
[ 306.597910] atkbd serio0: Unknown key released (translated set 2, code 0x93 on isa0060/serio0).
[ 306.597921] atkbd serio0: Use 'setkeycodes e013 <keycode>' to make it known.
[ 306.638570] kbd_keycode: 15 callbacks suppressed
[ 306.638578] keyboard: can't emulate rawmode for keycode 240
[ 306.638598] keyboard: can't emulate rawmode for keycode 240
[ 306.638610] acer-wmi: Unknown key number - 0x4

Mauricio Pretto (pretto) wrote :

regarding the hotkey:

If I press the [F3] which is the wifi hotkey wont work for disabling, but ......

I have pressed the [F7] (tocuhpad) , disabled touch pad, pressed again re-enabled , after those two steps the wifi gets off like I had pressed the wifi hot key, then pressing [F3] will bring back the wifi as the hotkey was working, trying using the f3 to disable it won't work.

----dmesg-----

[ 1424.427263] atkbd serio0: Unknown key pressed (translated set 2, code 0x93 on isa0060/serio0).
[ 1424.427279] atkbd serio0: Use 'setkeycodes e013 <keycode>' to make it known.
[ 1424.577789] atkbd serio0: Unknown key released (translated set 2, code 0x93 on isa0060/serio0).
[ 1424.577800] atkbd serio0: Use 'setkeycodes e013 <keycode>' to make it known.
[ 1424.695251] keyboard: can't emulate rawmode for keycode 240
[ 1424.695279] keyboard: can't emulate rawmode for keycode 240
[ 1424.695287] acer-wmi: Unknown key number - 0x4
[ 1424.740652] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 1427.266248] wlan0: authenticate with 00:e0:4c:f5:a0:f5 (try 1)
[ 1427.268097] wlan0: authenticated
[ 1427.268169] wlan0: associate with 00:e0:4c:f5:a0:f5 (try 1)
[ 1427.278559] wlan0: RX AssocResp from 00:e0:4c:f5:a0:f5 (capab=0x411 status=0 aid=2)
[ 1427.278570] wlan0: associated
[ 1427.279855] Associated: True
[ 1427.282131] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[ 1428.270468] wl0: wlc_d11hdrs_mac80211: AC_BE txop exceeded phylen 159/256 dur 1778/1504
[ 1429.264206] wl0: wlc_d11hdrs_mac80211: AC_BE txop exceeded phylen 159/256 dur 1778/1504
[ 1429.271993] wl0: wlc_d11hdrs_mac80211: AC_BE txop exceeded phylen 137/256 dur 1602/1504
[ 1429.332998] wl0: wlc_d11hdrs_mac80211: AC_BE txop exceeded phylen 382/256 dur 3562/1504
[ 1429.456050] wl0: wlc_d11hdrs_mac80211: AC_BE txop exceeded phylen 128/256 dur 1530/1504
[ 1429.531945] wl0: wlc_d11hdrs_mac80211: AC_BE txop exceeded phylen 338/256 dur 3210/1504
[ 1429.543104] wl0: wlc_d11hdrs_mac80211: AC_BE txop exceeded phylen 562/256 dur 5002/1504
[ 1429.634425] wl0: wlc_d11hdrs_mac80211: AC_BE txop exceeded phylen 184/256 dur 1978/1504
[ 1429.793605] wl0: wlc_d11hdrs_mac80211: AC_BE txop exceeded phylen 562/256 dur 5002/1504
[ 1430.044509] wl0: wlc_d11hdrs_mac80211: AC_BE txop exceeded phylen 562/256 dur 5002/1504
[ 1430.244401] wl0: wlc_d11hdrs_mac80211: AC_BE txop exceeded phylen 451/256 dur 4114/1504
[ 1430.244754] wl0: wlc_d11hdrs_mac80211: AC_BE txop exceeded phylen 185/256 dur 1986/1504
[ 1430.456981] wl0: wlc_d11hdrs_mac80211: AC_BE txop exceeded phylen 192/256 dur 2042/1504
----------

Seth Forshee (sforshee) wrote :

I have yet another build for testing. This one has some more changes that may help with your hotkey, and if it doesn't it also enables some extra debugging to help diagnose. You can get it at:

http://people.canonical.com/~sforshee/lp771758/linux-2.6.38-10.44~lp771758v201106081740/

Mauricio Pretto (pretto) wrote :

hotkey still not working

-----
mauricio@Boston:~$ lsmod | grep acer_
acer_wmi 23809 0
sparse_keymap 13898 1 acer_wmi
mauricio@Boston:~$ uname -a
Linux Boston 2.6.38-10-generic #44~lp771758v201106081740 SMP Wed Jun 8 18:25:58 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
mauricio@Boston:~$
----dmesg-----

[ 113.746124] acer-wmi: Unknown key number - 0x4
[ 114.021623] atkbd serio0: Unknown key released (translated set 2, code 0x93 on isa0060/serio0).
[ 114.021630] atkbd serio0: Use 'setkeycodes e013 <keycode>' to make it known.
[ 125.617643] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 182.768480] atkbd serio0: Unknown key pressed (translated set 2, code 0x93 on isa0060/serio0).
[ 182.768492] atkbd serio0: Use 'setkeycodes e013 <keycode>' to make it known.
[ 182.806074] device state: 0x41
[ 182.806102] keyboard: can't emulate rawmode for keycode 240
[ 182.806124] keyboard: can't emulate rawmode for keycode 240
[ 182.806136] acer-wmi: Unknown key number - 0x4
[ 183.212726] atkbd serio0: Unknown key released (translated set 2, code 0x93 on isa0060/serio0).
[ 183.212738] atkbd serio0: Use 'setkeycodes e013 <keycode>' to make it known.
[ 196.128191] atkbd serio0: Unknown key pressed (translated set 2, code 0x93 on isa0060/serio0).
[ 196.128202] atkbd serio0: Use 'setkeycodes e013 <keycode>' to make it known.
[ 196.155776] device state: 0x41
[ 196.155809] keyboard: can't emulate rawmode for keycode 240
[ 196.155830] keyboard: can't emulate rawmode for keycode 240
[ 196.155842] acer-wmi: Unknown key number - 0x4
[ 196.404876] atkbd serio0: Unknown key released (translated set 2, code 0x93 on isa0060/serio0).
[ 196.404887] atkbd serio0: Use 'setkeycodes e013 <keycode>' to make it known.
-----

Seth Forshee (sforshee) on 2011-06-09
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Seth Forshee (sforshee) wrote :

It looks like your machine is emitting a different code for the wlan key than what acer-wmi currently supports, and it also looks like the key doesn't actually change the state in the bios. I've got one more build, and this one really should get the wlan hotkey working.

http://people.canonical.com/~sforshee/lp771758/linux-2.6.38-10.44~lp771758v201106091502/

Also test with this build to see if you have any other hotkeys that aren't working -- since we're fixing the wlan key we might as well fix them all :). If any aren't working, run the command '/lib/udev/findkeyboards'. You should see a line that looks like "Acer WMI hotkeys: input/event?". Now run 'sudo /lib/udev/keymap -i input/event?', where "input/event?" matches the output from the previous command. Then press the hotkey and you will probably get some output. If so note the output along with the hotkey function here. If not you can also try the keymap command with the "AT keyboard" input device and see if it outputs anything. Be sure to note whether each key is coming in on the Acer WMI or AT keyboard device.

If you don't get any output from keymap, next run 'tail -f /var/log/kern.log' and then press your hotkey. If you get a "Unknown key number" message when you press the key, note that here along with the key function. If you don't then you've probably hit a hotkey that the driver is intentionally ignoring (there are some of these, and I'm not sure why the driver ignores them).

Thanks!

Changed in linux (Ubuntu):
status: In Progress → Incomplete
Mauricio Pretto (pretto) wrote :

mauricio@Boston:~$ uname -a
Linux Boston 2.6.38-10-generic #44~lp771758v201106091502 SMP Thu Jun 9 14:20:23 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
mauricio@Boston:~$
-------
So the hotkey for wifi is working all the other keys seems to be working the only details is
the [F7] touch pad enable/disable , after disabling , the touchpad gets disabled
when you enable the wifi gets disabled , not sure why.
Attaching the dmesg.
-----
The wifi key is working perfectly

Mauricio Pretto (pretto) wrote :

dmesg after this last kernel

Seth Forshee (sforshee) on 2011-06-13
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Seth Forshee (sforshee) wrote :

I think I see what's going on with the touchpad hotkey, but I need some more information to implement a fix for it. I've uploaded a new build, please install it and generate the wlan-disabled-by-touchpad-hotkey scenario, and give me the dmesg output. What I especially need are the messages that start with "SAF". If you can annotate the log with what key was pressed for each batch of "SAF" messages, that would be even better (you can monitor the dmesg output in real time by running 'tail -f /var/log/kern.log'). Thanks!

http://people.canonical.com/~sforshee/lp771758/linux-2.6.38-10.44~lp771758v201106131113/

Changed in linux (Ubuntu):
status: In Progress → Incomplete
Mauricio Pretto (pretto) wrote :

---dmesg----
[ 107.746056] device state: 0x2
[ 121.421777] exe (2727): /proc/2727/oom_adj is deprecated, please use /proc/2727/oom_score_adj instead.
[ 129.211371] device state: 0x2
[ 139.151646] atkbd serio0: Unknown key pressed (translated set 2, code 0x93 on isa0060/serio0).
[ 139.151657] atkbd serio0: Use 'setkeycodes e013 <keycode>' to make it known.
[ 139.185253] device state: 0x41
[ 139.406439] atkbd serio0: Unknown key released (translated set 2, code 0x93 on isa0060/serio0).
[ 139.406446] atkbd serio0: Use 'setkeycodes e013 <keycode>' to make it known.
[ 154.688100] atkbd serio0: Unknown key pressed (translated set 2, code 0x93 on isa0060/serio0).
[ 154.688111] atkbd serio0: Use 'setkeycodes e013 <keycode>' to make it known.
[ 154.725491] device state: 0x40
[ 154.764606] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[ 155.037286] atkbd serio0: Unknown key released (translated set 2, code 0x93 on isa0060/serio0).
[ 155.037297] atkbd serio0: Use 'setkeycodes e013 <keycode>' to make it known.

Mauricio Pretto (pretto) wrote :

no SAF messages I guess.....
Linux Boston 2.6.38-10-generic #44~lp771758v201106131113 SMP Mon Jun 13 16:25:39 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Seth Forshee (sforshee) wrote :

Sorry, one of the patches wasn't correctly applied to the build. Try this one.

http://people.canonical.com/~sforshee/lp771758/linux-2.6.38-10.44~lp771758v201106140452/

Seth Forshee (sforshee) wrote :

I also just became aware of a tool that could help us fix the problem reading wlan state on your machine rather than just avoiding it. Please download the acer_ec.pl script from:

http://code.google.com/p/aceracpi/wiki/EmbeddedController

Then please execute the following sequences. Note that the page says that there is a possibility that the script could lock up your machine, so it's best to run it with all applications closed, etc.

Sequence #1:
  1. Start with a fresh boot (presumably wifi is enabled and working)
  2. Run 'perl acer_ec.pl regs > wlan-pre-rfkill'
  3. Run 'rfkill block <n>', whiere <n> is the index for the acer-wireless switch
  4. Run 'perl acer_ec.pl regs > wlan-post-rfkill'
  5. Repeat 2-4 above for the acer-threeg switch, changing the output filenames accordingly

Sequence #2:
  1. Start with a fresh boot (presumably wifi is enabled and working)
  2. Run 'sudo rmmod acer-wmi'
  3. Run 'perl acer_ec.pl regs > wlan-pre-hotkey'
  4. Press the wlan hotkey
  5. Run 'perl acer_ec.pl regs > wlan-post-hotkey'

Please attach all of the output files.

Thanks for all the testing! We should be just about done.

Mauricio Pretto (pretto) wrote :

Will do that over the weekend okay?

Seth Forshee (sforshee) wrote :

Mauricio, whenever you get to it is fine. Thanks!

Mauricio Pretto (pretto) wrote :

auricio@Boston:~$ uname -a
Linux Boston 2.6.38-10-generic #44~lp771758v201106140452 SMP Tue Jun 14 05:06:26 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
mauricio@Boston:~$

Mauricio Pretto (pretto) wrote :

new dmesg attached soon

Mauricio Pretto (pretto) wrote :
Seth Forshee (sforshee) on 2011-06-20
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Seth Forshee (sforshee) wrote :

@Mauricio: I can see what's causing wlan to be disabled when you press the touchpad hotkey. I have a fix, but I'm inquiring with the driver maintainer on some details to ensure things continue to work correctly for other machines.

Could you also collect the data requested in comment #48 when you get a chance?

Seth Forshee (sforshee) wrote :

I've uploaded a build that ought to fix the issue with the touchpad hotkey disabling wifi. Please test and post your. Thanks!

http://people.canonical.com/~sforshee/lp771758/linux-2.6.38-10.44~lp771758v201106211318/

Changed in linux (Ubuntu):
status: In Progress → Incomplete
Mauricio Pretto (pretto) wrote :

mauricio@Boston:~$ uname -a
Linux Boston 2.6.38-10-generic #44~lp771758v201106211318 SMP Tue Jun 21 13:33:06 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
mauricio@Boston:~$ lsmod | grep acer
acer_wmi 23809 0
sparse_keymap 13898 1 acer_wmi
mauricio@Boston:~$
-----
working .......
no problems this time .
So I guess all good

Seth Forshee (sforshee) wrote :

Excellent! Thanks for testing.

I'd still like to get the information requested in comment #48, if possible.

Changed in linux (Ubuntu):
status: Incomplete → In Progress
Mauricio Pretto (pretto) wrote :
Mauricio Pretto (pretto) wrote :
Mauricio Pretto (pretto) wrote :
Mauricio Pretto (pretto) wrote :
Seth Forshee (sforshee) wrote :

@Mauricio: Thanks for the files; they were informative but unfortunately didn't lead to a fix for reading the wlan state.

It looks like one of the patches isn't needed for your problems, so I have one final kernel to test with that patch removed. If everything works fine in this one I'll get the changes in for SRU.

http://people.canonical.com/~sforshee/lp771758/linux-2.6.38-10.46~lp771758v201107011104/

Changed in linux (Ubuntu):
status: In Progress → Incomplete
Mauricio Pretto (pretto) wrote :

mauricio@Boston:~$ uname -a
Linux Boston 2.6.38-10-generic #46~lp771758v201107011104 SMP Fri Jul 1 11:20:02 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
mauricio@Boston:~$

----
running last version .
all looking good

Seth Forshee (sforshee) on 2011-07-05
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Seth Forshee (sforshee) on 2011-07-05
Changed in linux (Ubuntu Natty):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → Medium
status: New → In Progress
Seth Forshee (sforshee) on 2011-07-07
description: updated
Seth Forshee (sforshee) on 2011-07-12
Changed in linux (Ubuntu Natty):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Oneiric):
status: In Progress → Fix Committed
Mauricio Pretto (pretto) wrote :

Hey Seth
Just a FYI
I'm running oneric on that same machine with live usb and the problem does not happen

Seth Forshee (sforshee) wrote :

Mauricio: Thanks for pointing that out. I forgot the BugLink in the commit message so it didn't get updated automatically. Updating the status now.

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Mauricio Pretto (pretto) wrote :

Sorry Seth
I just downloaded the todays build for daily-live kernel 3.0.0-5
The problem happens and also the hotkey problems .

Seth Forshee (sforshee) wrote :

Mauricio, I just double-checked and all the patches should be in 3.0.0-5 place except the wlan hotkey patch, so it's expected that the wlan hotkey won't work. So you're saying that if you remove the soft block from acer-wireless it comes back immediately? If that's true you can't really tell if the touchpad hotkey affects wirless, since it's never gets unblocked anyway, right?

I'll move the status back to fix committed since the hotkey patch is missing. Please clarify exactly what it is you're seeing with 3.0.0-5.

Changed in linux (Ubuntu Oneiric):
status: Fix Released → Fix Committed
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for natty in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-natty' to 'verification-done-natty'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-natty
Mauricio Pretto (pretto) wrote :

Wait Wait Wait.....
I'm running :
Linux Boston 2.6.38-10-generic #46~lp771758v201107011104 SMP Fri Jul 1 11:20:02 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
all it's working with the last build Seth sent me.

is this fix on 2.6.38-10????
I have proposed enabled on my natty install

Seth Forshee (sforshee) wrote :

Mauricio: The bug should be fixed in 2.6.38-10.46. Please go ahead and test the actual proposed release to verify this. The following commands should install that kernel over what you have now since you already have proposed enabled:

  sudo apt-get update
  sudo apt-get install linux-headers-2.6.38-10 linux-headers-2.6.38-10-generic linux-image-2.6.38-10-generic

If that doesn't work then run 'apt-get install --reinstall' for the same packages.

Seth Forshee (sforshee) wrote :

Mauricio: Sorry, the bug is actually fixed in 2.6.38-11.47. You should be able to install it with a simple apt-get update and upgrade since you already have proposed enabled.

Mauricio Pretto (pretto) wrote :

Changes for the versions:
2.6.38-10.46~lp771758v201107011104
2.6.38-10.46
this is what I have in Important security updates
should work?

Mauricio Pretto (pretto) wrote :

Linux Boston 2.6.38-10-generic #46-Ubuntu SMP Tue Jun 28 15:07:17 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

not working
but this is not 2.6.38-11.47 , which is not available on proposed AFAIk

Seth Forshee (sforshee) wrote :

2.6.38-11.47 is in proposed. Double-check that you really have enabled proposed updates.

https://wiki.ubuntu.com/Testing/EnableProposed

Mauricio Pretto (pretto) wrote :

sorry do not show in my proposed
I have proposed always enabled

Mauricio Pretto (pretto) wrote :

Seth
switched back to your build from your people directory
let me know where I can get the 47 build to test
thanks

Seth Forshee (sforshee) wrote :

Mauricio: You can download the debs for 2.6.38-11.47 from:

http://archive.ubuntu.com/ubuntu/pool/universe/l/linux/

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.0.0-6.7

---------------
linux (3.0.0-6.7) oneiric; urgency=low

  [ Eagon Yager ]

  * [Config] Fix misspelled 'skipmodule' in arm makefile.

  [ Keng-Yu Lin ]

  * SAUCE: Input: ALPS - Enable Intellimouse mode for Lenovo Zhaoyang E47
    - LP: #632884, #803005

  [ Leann Ogasawara ]

  * Revert "[Config] Temporarily disable CONFIG_SMC91X on armel-omap"
  * Revert "[Config] Temporarily Disable CONFIG_BRCMSMAC on arm"
  * Revert "[Config] Temporarily Disable CONFIG_RTL8192SE on powerpc"
  * Revert "[Config] Temporarily Disable CONFIG_RTL8192SE on arm"
  * Revert "[Config] Temporarily disable CONFIG_BRCMSMAC on powerpc"
  * [Config] Set CONFIG_ACPI_PCI_SLOT=m
  * [Config] Set CONFIG_ACPI_SBS=m
  * [Config] Set CONFIG_ACPI_WMI=m
  * [Config] Set CONFIG_AD7150=m on arm
  * [Config] Set CONFIG_AD7152=m on arm
  * [Config] Drop CONFIG_GPIO_S5PV210
  * [Config] Drop CONFIG_GPIO_S5PC100
  * [Config] Drop CONFIG_GPIO_PLAT_SAMSUNG
  * [Config] Drop CONFIG_GPIO_EXYNOS4

  [ Stefan Bader ]

  * SAUCE: Re-enable RODATA for i386 virtual
    - LP: #809838

  [ Upstream Kernel Changes ]

  * Revert "Quirk to fix suspend/resume on Lenovo Edge 11,13,14,15"
  * (drop after 3.0.0) acer-wmi: Add support for Aspire 1830 wlan hotkey
    - LP: #771758
 -- Leann Ogasawara <email address hidden> Wed, 20 Jul 2011 06:36:02 -0700

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Mauricio Pretto (pretto) wrote :

mauricio@Boston:~$ rfkill list
0: acer-wireless: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: acer-threeg: Wireless WAN
 Soft blocked: no
 Hard blocked: no
2: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
mauricio@Boston:~$ uname -a
Linux Boston 2.6.38-11-generic #47-Ubuntu SMP Fri Jul 15 19:27:09 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
--------
mauricio@Boston:~$ iwconfig wlan0
wlan0 IEEE 802.11bgn ESSID:"Guestnet 4 andar"
          Mode:Managed Frequency:2.462 GHz Access Point: 00:4F:62:13:B3:EF
          Bit Rate=18 Mb/s Tx-Power=19 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=43/70 Signal level=-67 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:151 Invalid misc:142 Missed beacon:0

mauricio@Boston:~$
-----
I think we are all good now

Seth Forshee (sforshee) on 2011-07-21
tags: added: verification-done-natty
removed: verification-needed-natty
Mauricio Pretto (pretto) wrote :

just fyi
running the last build #48

mauricio@Boston:~$ uname -a
Linux Boston 2.6.38-11-generic #48-Ubuntu SMP Fri Jul 29 19:02:55 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

all working very well

Launchpad Janitor (janitor) wrote :
Download full text (13.4 KiB)

This bug was fixed in the package linux - 2.6.38-11.48

---------------
linux (2.6.38-11.48) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #818175

  [ Upstream Kernel Changes ]

  * Revert "HID: magicmouse: ignore 'ivalid report id' while switching
    modes"
    - LP: #814250

linux (2.6.38-11.47) natty-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #811180

  [ Keng-Yu Lin ]

  * SAUCE: Revert: "dell-laptop: Toggle the unsupported hardware
    killswitch"
    - LP: #775281

  [ Ming Lei ]

  * SAUCE: fix yama_ptracer_del lockdep warning
    - LP: #791019

  [ Stefan Bader ]

  * SAUCE: Re-enable RODATA for i386 virtual
    - LP: #809838

  [ Tim Gardner ]

  * [Config] Add grub-efi as a recommended bootloader for server and
    generic
    - LP: #800910
  * SAUCE: rtl8192se: Force a build for a 2.6/3.0 kernel
    - LP: #805494

  [ Upstream Kernel Changes ]

  * Revert "bridge: Forward reserved group addresses if !STP"
    - LP: #793702
  * Fix up ABI directory
  * bonding: Incorrect TX queue offset, CVE-2011-1581
    - LP: #792312
    - CVE-2011-1581
  * fs/partitions/efi.c: corrupted GUID partition tables can cause kernel
    oops
    - LP: #795418
    - CVE-2011-1577
  * usbnet/cdc_ncm: add missing .reset_resume hook
    - LP: #793892
  * ath5k: Disable fast channel switching by default
    - LP: #767192
  * mm: vmscan: correctly check if reclaimer should schedule during
    shrink_slab
    - LP: #755066
  * mm: vmscan: correct use of pgdat_balanced in sleeping_prematurely
    - LP: #755066
  * ALSA: hda - Use LPIB for ATI/AMD chipsets as default
    - LP: #741825
  * ALSA: hda - Enable snoop bit for AMD controllers
    - LP: #741825
  * ALSA: hda - Enable sync_write workaround for AMD generically
    - LP: #741825
  * cpuidle: menu: fixed wrapping timers at 4.294 seconds
    - LP: #774947
  * drm/i915: Fix gen6 (SNB) missed BLT ring interrupts.
    - LP: #761065
  * USB: ehci: remove structure packing from ehci_def
    - LP: #791552
  * drm/i915: disable PCH ports if needed when disabling a CRTC
    - LP: #791752
  * kmemleak: Do not return a pointer to an object that kmemleak did not
    get
    - LP: #793702
  * kmemleak: Initialise kmemleak after debug_objects_mem_init()
    - LP: #793702
  * Fix _OSC UUID in pcc-cpufreq
    - LP: #793702
  * CPU hotplug, re-create sysfs directory and symlinks
    - LP: #793702
  * Fix memory leak in cpufreq_stat
    - LP: #793702
  * net: recvmmsg: Strip MSG_WAITFORONE when calling recvmsg
    - LP: #793702
  * ftrace: Only update the function code on write to filter files
    - LP: #793702
  * qla2xxx: Fix hang during driver unload when vport is active.
    - LP: #793702
  * qla2xxx: Fix virtual port failing to login after chip reset.
    - LP: #793702
  * qla2xxx: Fix vport delete hang when logins are outstanding.
    - LP: #793702
  * powerpc/kdump64: Don't reference freed memory as pacas
    - LP: #793702
  * powerpc/kexec: Fix memory corruption from unallocated slaves
    - LP: #793702
  * x86, cpufeature: Fix cpuid leaf 7 feature detection
    - LP: #793702
  * ath9k_hw: do noise floor calibration only on required chain...

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.